List products
curl --request GET \
--url https://api.piriod.com/products/ \
--header 'Authorization: <api-key>' \
--header 'x-simple-workspace: <x-simple-workspace>'import requests
url = "https://api.piriod.com/products/"
headers = {
"x-simple-workspace": "<x-simple-workspace>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-simple-workspace': '<x-simple-workspace>', Authorization: '<api-key>'}
};
fetch('https://api.piriod.com/products/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 142,
"results": [
{
"name": "<string>",
"unit_label": "<string>",
"id": "<string>",
"status": "active",
"archived": "2023-11-07T05:31:56Z",
"plans": [
{
"product": "<string>",
"name": "<string>",
"description": "<string>",
"frequency": "<string>",
"currency": "<string>",
"amount": 123,
"id": "<string>",
"sku": "<string>",
"exempt": false,
"usage_scheme": "licensed",
"tiers": [
{
"amount": 123,
"quantity_from": 123,
"amount_scheme": "flat",
"quantity_to": 123
}
],
"unit_label": "<string>",
"status": "active",
"archived": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}
],
"test_mode": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}Products
List products
GET
/
products
/
List products
Authorizations
Use header Authorization: Token <api_token>.
API tokens are obtained from the Piriod dashboard.
Headers
Workspace (account) identifier. Required for every request.
Whether to operate against test-mode data. Defaults to false.
Query Parameters
Page number to retrieve (1-indexed).
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Field to sort results by. Prefix with - for descending order
(e.g. -created).
Response
200 - application/json
Paginated product list.
⌘I
